apiVersion: cert-manager.io/v1
kind: Issuer
metadata:
    name: vault-issuer
    namespace: home-stuff
spec:
    vault:
        server: ENC[AES256_GCM,data:phlIfcixd+0J1k3Zgk9hTRB+bhi5lhcYR02M8CsSAdGvrd+ADneiNaR7epN4V34Mhk20Eg/f,iv:GafkQCKMrr5SWycoshMSKWkh/K1dlJQrEyZ/M1ufltw=,tag:++oFEPXLLdMBRQWNMGOXtw==,type:str]
        path: ENC[AES256_GCM,data:GaANkuvBioQhPxLH3BdgLIN35w==,iv:/vPgwtGXOXqCIRHbtkShwnii7GRdp9cp1hLZufwcuqI=,tag:7KV3px7yeu5eZBL18SKwTw==,type:str]
        auth:
            kubernetes:
                mountPath: ENC[AES256_GCM,data:ZHrRPjeS2O/NxufCcIf56JessQ==,iv:ugfuAhO84cs1n9Pq5N4L4qgME5GRhBkfXkNPVLKsV5U=,tag:nsm+RZ6gTXA7Hmrfjwh2gA==,type:str]
                role: ENC[AES256_GCM,data:7yj55vwBU32y00U=,iv:5F285Fsnk5WlHUI8Ip9Zy5b36b77P12wRDBGChIR4Z0=,tag:bxPP0oON8efo6Dw4l3lVOA==,type:str]
                secretRef:
                    name: ENC[AES256_GCM,data:z7EstY+w8ieSBql+ofooOwQ=,iv:SjDipthrpXvVtEDiJN/vjemJKS2MmXfmyDTAZDhym+4=,tag:xLrlWdD60T66D4YVZGf/gQ==,type:str]
                    key: ENC[AES256_GCM,data:S2r55HM=,iv:rbU/Vs8xvmnMs2uP+iCyEQe8jEnw6DA2Gz5mksFODXQ=,tag:hagxdLuLmM+ufFbFpzLJDg==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age: []
    lastmodified: "2024-09-21T21:52:03Z"
    mac: ENC[AES256_GCM,data:Scrg3nrfpeAwK2yEWGWg8Zmg7eDRYA8rZH2voyQHJNvH8DJKTxaWus8CgZPIJi+ypJqxYfMueWPC2ZIsHJHOwrMiGNoL++Z4t1BNpCMaF8oytYPYZBTrrmN8egMPBSqqwkfHyDY9cCBxQRLJsBV3Kt2HbjJMHp6TPeJJG63Fm1M=,iv:+cjJtEaTGOM0VamDPfvmQlQPlDljtkotP+iS8uOILyY=,tag:qPGF8YJR1vr4UMZsRysj5Q==,type:str]
    pgp:
        - created_at: "2024-09-21T21:52:02Z"
          enc: |-
            -----BEGIN PGP MESSAGE-----

            hF4DDn3iFPdf38cSAQdAVmmNCiR5E08s5f/rc0UCeP2DrpLykFBCpv6ziUZGKhAw
            ha22WXMkOuPBPYDOv8FkNKn2cRQ5MgO1BZ8nz1zBvHP5wj+dZRyvGfkHa/WIMf5s
            1GgBCQIQbcxwAvGAXPyIXbcdrQ7esrqdMMxxrnQHp0G0jhJiMuOAc/WNqLxzPhMb
            e18+81L26IWzau5Zyvx89nOmGk8OVJpcSV02iHoOj9Oa/kuVq26ND4uDLYMxt7RE
            2tVpZapBMay9tQ==
            =9AwU
            -----END PGP MESSAGE-----
          fp: 8BABE93B3C84CC99514E1FFD5F374229A7875770
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.0
